import PropTypes from "prop-types";
import cardAriaProps from "./Card.ariaPropTypes";
import tagAttributeProps, { tagAttributePropsName } from "../../propTypes/htmlAttributes.propTypes";
import automationProps, { automationPropsName } from "../../propTypes/automation.propTypes";
import customClassProps, { customClassPropName } from "../../propTypes/customClassName.propTypes";
import defaultCustomIds from "./Card.customIds";
import constantProps from "./Card.constantProps";
export default {
  type: PropTypes.oneOf([constantProps.type.primary, constantProps.type.secondary, constantProps.type.success, constantProps.type.danger]),
  ...automationProps,
  ...cardAriaProps,
  ...customClassProps,
  ...tagAttributeProps
};
export const defaultProps = {
  type: constantProps.type.primary,
  tagAttributeProps: {},
  //   [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {
  type: "This defines the look the UI view"
};