function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import MultiSelectWithSearchBehaviour, { OptionBehaviour, OptionSelectAllBehaviour } from "./MultiSelectWithTag.behaviour";
import MultiSelectWithSearchSkeleton, { OptionSkeleton, OptionSelectAllSkeleton } from "./MultiSelectWithTag.skeleton";
import multiSelectWithTagPropTypes, { defaultProps, propsDescription } from "./MultiSelectWithTag.propTypes";
import constantProps from "../MultiSelect.constantProps";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
export default function MultiSelectWithTag(props) {
  return /*#__PURE__*/React.createElement(MultiSelectWithSearchBehaviour, _extends({}, props, {
    renderComponent: MultiSelectWithSearchSkeleton
  }));
}
export function Option(props) {
  return /*#__PURE__*/React.createElement(OptionBehaviour, _extends({}, props, {
    renderComponent: OptionSkeleton
  }));
}
Option.displayName = "Option";
export function OptionSelectAll(props) {
  return /*#__PURE__*/React.createElement(OptionSelectAllBehaviour, _extends({}, props, {
    renderComponent: OptionSelectAllSkeleton
  }));
}
MultiSelectWithTag.propTypes = multiSelectWithTagPropTypes;
MultiSelectWithTag.defaultProps = defaultProps;
MultiSelectWithTag.propsDescription = propsDescription;
MultiSelectWithTag.constantProps = constantProps;

if (false) {
  MultiSelectWithTag.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}