function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import TextBoxBehaviour, { TextBoxControlledBehaviour } from "./TextBox.behaviour";
import TextBoxSkeleton from "./TextBox.skeleton";
import textBoxPropTypes, { defaultProps, propsDescription, textboxControlledPropTypes, textboxControlledDescription } from "./TextBox.propTypes";
import constantProps from "./TextBox.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function TextBox(props) {
  return /*#__PURE__*/React.createElement(TextBoxBehaviour, _extends({}, props, {
    renderComponent: TextBoxSkeleton
  }));
}
TextBox.propTypes = textBoxPropTypes;
TextBox.defaultProps = defaultProps;
TextBox.propsDescription = propsDescription;
TextBox.constantProps = constantProps;
export function TextBoxControlled(props) {
  return /*#__PURE__*/React.createElement(TextBoxControlledBehaviour, _extends({}, props, {
    renderComponent: TextBoxSkeleton
  }));
}
TextBoxControlled.propTypes = textboxControlledPropTypes;
TextBoxControlled.defaultProps = defaultProps;
TextBoxControlled.propsDescription = textboxControlledDescription;
TextBoxControlled.constantProps = constantProps;

if (false) {
  TextBox.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}