function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import YearBehaviour from "./Year.behaviour";
import YearSkeleton from "./Year.skeleton";
import YearPropTypes, { defaultProps, propsDescription } from "./Year.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories"; //import constantProps from "./Year.constantProps";

export default function Year(props) {
  return /*#__PURE__*/React.createElement(YearBehaviour, _extends({}, props, {
    renderComponent: YearSkeleton
  }));
}

if (false) {
  Year.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

Year.propTypes = YearPropTypes;
Year.defaultProps = defaultProps;
Year.propsDescription = propsDescription; //Year.constantProps=constantProps;