function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import FreezeLayerBehaviour from "./FreezeLayer.behaviour";
import FreezeLayerSkeleton from "./FreezeLayer.skeleton";
import FreezeLayerPropTypes, { defaultProps } from "./FreezeLayer.propTypes";
import constantProps from "./FreezeLayer.constantProps";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";

function FreezeLayer(props) {
  return /*#__PURE__*/React.createElement(FreezeLayerBehaviour, _extends({}, props, {
    renderComponent: FreezeLayerSkeleton
  }));
}

if (false) {
  FreezeLayer.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}

FreezeLayer.propTypes = FreezeLayerPropTypes;
FreezeLayer.defaultProps = defaultProps;
FreezeLayer.constantProps = constantProps;
export default FreezeLayer;