function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import NotificationBadgeBehaviour from './NotificationBadge.behaviour';
import NotificationBadgeSkeleton from './NotificationBadge.skeleton';
import NotificationBadgePropTypes, { defaultProps, propsDescription } from './NotificationBadge.propTypes';
import componentGroups from '../../docs-utils/componentGroups';
import componentCategories from '../../docs-utils/componentCategories';
import constantProps from './NotificationBadge.constantProps';
export default function NotificationBadge(props) {
  return /*#__PURE__*/React.createElement(NotificationBadgeBehaviour, _extends({}, props, {
    renderComponent: NotificationBadgeSkeleton
  }));
}
NotificationBadge.propTypes = NotificationBadgePropTypes;
NotificationBadge.defaultProps = defaultProps;
NotificationBadge.propsDescription = propsDescription;
NotificationBadge.constantProps = constantProps;

if (false) {
  NotificationBadge.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}